Debian Bug report logs - #686918
pu: package dpkg/1.15.8.13

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Guillem Jover <guillem@debian.org>

Date: Fri, 7 Sep 2012 06:57:02 UTC

Severity: normal

Tags: confirmed, pending, squeeze

Fixed in version 6.0.6

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686918; Package release.debian.org. (Fri, 07 Sep 2012 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 07 Sep 2012 06:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package dpkg/1.15.8.13
Date: Fri, 7 Sep 2012 08:52:35 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hi!

Here's the proposed update fixing an RC bug affecting dpkg in squeeze,
cherry picked from sid. The attached patch is the filterdiff (w/o
translation updates) of «git diff 1.15.8.12..». The git commit log
for that fix is:

,---
commit 2ae83164adde81c74ebdb88a8b56af7ce0bf2235
Author: Russell Coker <russell@coker.com.au>
Date:   Sat Jun 30 15:28:50 2012 +0200

    dpkg: Do not translate SE Linux context to human readable form

    Cherry picked from commit 7db83375c952383540631244ace9cfefdfc908a7.

    The SE Linux context in computer readable form get translated to human
    readable form if the mcstransd daemon is running. But if the daemon
    fails inbetween then dpkg might try to write wrong data to disk. To
    avoid the flakines implied in relying on the state of that daemon,
    just never translate the context.

    As a side effect this should incur in a slight speed up.

    [guillem@debian.org:
     - Coding style fixes.
     - Added code comment. ]

    Closes: #679641

    Signed-off-by: Guillem Jover <guillem@debian.org>
`---

thanks,
guillem
[dpkg-1.15.8.13.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686918; Package release.debian.org. (Tue, 11 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 11 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 686918@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Guillem Jover <guillem@debian.org>, 686918@bugs.debian.org
Subject: Re: Bug#686918: pu: package dpkg/1.15.8.13
Date: Tue, 11 Sep 2012 20:53:05 +0100
Control: tags -1 + squeeze confirmed

On Fri, 2012-09-07 at 08:52 +0200, Guillem Jover wrote:
> Here's the proposed update fixing an RC bug affecting dpkg in squeeze,
> cherry picked from sid. The attached patch is the filterdiff (w/o
> translation updates) of «git diff 1.15.8.12..». The git commit log
> for that fix is:
[...]
>     dpkg: Do not translate SE Linux context to human readable form
> 
>     Cherry picked from commit 7db83375c952383540631244ace9cfefdfc908a7.
> 
>     The SE Linux context in computer readable form get translated to human
>     readable form if the mcstransd daemon is running. But if the daemon
>     fails inbetween then dpkg might try to write wrong data to disk. To
>     avoid the flakines implied in relying on the state of that daemon,
>     just never translate the context.

Assuming that the resulting package has been tested on a squeeze system,
please go ahead; thanks.

Regards,

Adam




Added tag(s) squeeze and confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 686918-submit@bugs.debian.org. (Tue, 11 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686918; Package release.debian.org. (Tue, 18 Sep 2012 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 18 Sep 2012 10:18:03 GMT) Full text and rfc822 format available.

Message #17 received at 686918@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 686918@bugs.debian.org
Subject: Re: Bug#686918: pu: package dpkg/1.15.8.13
Date: Tue, 18 Sep 2012 12:14:49 +0200
On Tue, 2012-09-11 at 20:53:05 +0100, Adam D. Barratt wrote:
> Control: tags -1 + squeeze confirmed
> 
> On Fri, 2012-09-07 at 08:52 +0200, Guillem Jover wrote:
> > Here's the proposed update fixing an RC bug affecting dpkg in squeeze,
> > cherry picked from sid. The attached patch is the filterdiff (w/o
> > translation updates) of «git diff 1.15.8.12..». The git commit log
> > for that fix is:
> [...]
> >     dpkg: Do not translate SE Linux context to human readable form
> > 
> >     Cherry picked from commit 7db83375c952383540631244ace9cfefdfc908a7.
> > 
> >     The SE Linux context in computer readable form get translated to human
> >     readable form if the mcstransd daemon is running. But if the daemon
> >     fails inbetween then dpkg might try to write wrong data to disk. To
> >     avoid the flakines implied in relying on the state of that daemon,
> >     just never translate the context.
> 
> Assuming that the resulting package has been tested on a squeeze system,
> please go ahead; thanks.

Yeah, I've been running with that version on one of my stable system for
some time now. And just uploaded it few minutes ago.

thanks,
guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686918; Package release.debian.org. (Tue, 18 Sep 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 18 Sep 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 686918@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Guillem Jover <guillem@debian.org>, 686918@bugs.debian.org
Subject: Re: Bug#686918: pu: package dpkg/1.15.8.13
Date: Tue, 18 Sep 2012 22:45:18 +0100
Control: tags -1 + pending

On Tue, 2012-09-18 at 12:14 +0200, Guillem Jover wrote:
> On Tue, 2012-09-11 at 20:53:05 +0100, Adam D. Barratt wrote:
> > On Fri, 2012-09-07 at 08:52 +0200, Guillem Jover wrote:
> > >     dpkg: Do not translate SE Linux context to human readable form
[...]
> > Assuming that the resulting package has been tested on a squeeze system,
> > please go ahead; thanks.
> 
> Yeah, I've been running with that version on one of my stable system for
> some time now. And just uploaded it few minutes ago.

That's a lot of noise for a tiny fix. :-(

Flagged for acceptance; thanks.

Regards,

Adam




Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 686918-submit@bugs.debian.org. (Tue, 18 Sep 2012 21:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#686918; Package release.debian.org. (Tue, 18 Sep 2012 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 18 Sep 2012 22:36:03 GMT) Full text and rfc822 format available.

Message #29 received at 686918@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 686918@bugs.debian.org
Subject: Re: Bug#686918: pu: package dpkg/1.15.8.13
Date: Wed, 19 Sep 2012 00:32:58 +0200
On Tue, 2012-09-18 at 22:45:18 +0100, Adam D. Barratt wrote:
> On Tue, 2012-09-18 at 12:14 +0200, Guillem Jover wrote:
> > Yeah, I've been running with that version on one of my stable system for
> > some time now. And just uploaded it few minutes ago.
> 
> That's a lot of noise for a tiny fix. :-(

Indeed, that's due to releasing the source from testing instead of
stable, which I'll be changing for wheezy. Unfortunately releasing
from stable now would have reverted autotools changes anyway.

> Flagged for acceptance; thanks.

Thanks!

regards,
guillem



Marked as fixed in versions 6.0.6. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 05 Oct 2012 09:27:19 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 05 Oct 2012 09:27:19 GMT) Full text and rfc822 format available.

Notification sent to Guillem Jover <guillem@debian.org>:
Bug acknowledged by developer. (Fri, 05 Oct 2012 09:27:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Nov 2012 07:26:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:11:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.